import { Entry } from "./entry.js";
import { ISortFunction } from "./log-sorting.js";
export declare class HeadsIndex<T> {
    _index: Map<string, Entry<T>>;
    _headsCache?: Entry<T>[];
    _sortFn: ISortFunction;
    constructor(properties: {
        sortFn: ISortFunction;
        entries: {
            [key: string]: Entry<any>;
        };
    });
    reset(entries: {
        [key: string]: Entry<any>;
    } | Entry<T>[]): void;
    get(hash: string): Entry<T> | undefined;
    del(hash: string): void;
    /**
     * Returns an array of heads.
     * @returns {Array<Entry<T>>}
     */
    get heads(): Entry<T>[];
}
